Package org.drinkless.tdlib

# Class TdApi.MessageLinkInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageLinkInfo

Enclosing class:
  `TdApi`

public static class TdApi.MessageLinkInfo extends TdApi.Object
Contains information about a link to a message or a forum topic in a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  If found, identifier of the chat to which the link points, 0 otherwise.
  `int`
  `checklistTaskId`
  Identifier of the checklist task that is linked; 0 if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `forAlbum`
  True, if the whole media album to which the message belongs is linked.
  `boolean`
  `isPublic`
  True, if the link is a public link for a message or a forum topic in a chat.
  `int`
  `mediaTimestamp`
  Timestamp from which the video/audio/video note/voice note/story playing must start, in seconds; 0 if not specified.
  `TdApi.Message`
  `message`
  If found, the linked message; may be null.
  `String`
  `pollOptionId`
  Identifier of the poll option that is linked; empty if none.
  `TdApi.MessageTopic`
  `topicId`
  Identifier of the specific topic in which the message must be opened, or a topic to open if the message is missing; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageLinkInfo()`
  Contains information about a link to a message or a forum topic in a chat.
  `MessageLinkInfo(boolean isPublic, long chatId, TdApi.MessageTopic topicId, TdApi.Message message, int mediaTimestamp, int checklistTaskId, String pollOptionId, boolean forAlbum)`
  Contains information about a link to a message or a forum topic in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isPublic

    public boolean isPublic
    True, if the link is a public link for a message or a forum topic in a chat.

  - ### chatId

    public long chatId
    If found, identifier of the chat to which the link points, 0 otherwise.

  - ### topicId

    @Nullable public TdApi.MessageTopic topicId
    Identifier of the specific topic in which the message must be opened, or a topic to open if the message is missing; may be null if none.

  - ### message

    @Nullable public TdApi.Message message
    If found, the linked message; may be null.

  - ### mediaTimestamp

    public int mediaTimestamp
    Timestamp from which the video/audio/video note/voice note/story playing must start, in seconds; 0 if not specified. The media can be in the message content or in its link preview.

  - ### checklistTaskId

    public int checklistTaskId
    Identifier of the checklist task that is linked; 0 if none.

  - ### pollOptionId

    public String pollOptionId
    Identifier of the poll option that is linked; empty if none.

  - ### forAlbum

    public boolean forAlbum
    True, if the whole media album to which the message belongs is linked.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageLinkInfo

    public MessageLinkInfo()
    Contains information about a link to a message or a forum topic in a chat.

  - ### MessageLinkInfo

    public MessageLinkInfo(boolean isPublic, long chatId, TdApi.MessageTopic topicId, TdApi.Message message, int mediaTimestamp, int checklistTaskId, String pollOptionId, boolean forAlbum)
    Contains information about a link to a message or a forum topic in a chat.
    Parameters:
      `isPublic` - True, if the link is a public link for a message or a forum topic in a chat.
      `chatId` - If found, identifier of the chat to which the link points, 0 otherwise.
      `topicId` - Identifier of the specific topic in which the message must be opened, or a topic to open if the message is missing; may be null if none.
      `message` - If found, the linked message; may be null.
      `mediaTimestamp` - Timestamp from which the video/audio/video note/voice note/story playing must start, in seconds; 0 if not specified. The media can be in the message content or in its link preview.
      `checklistTaskId` - Identifier of the checklist task that is linked; 0 if none.
      `pollOptionId` - Identifier of the poll option that is linked; empty if none.
      `forAlbum` - True, if the whole media album to which the message belongs is linked.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR